<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';

import { Head, Link, useForm } from '@inertiajs/vue3';
import { showFlashMessage } from '@/global_func.js';




</script>

<template>
    <Head title="Dashboard" />

    <AuthenticatedLayout :user="user">
        <div class="container-fluid">

            <!-- Page Heading -->
            <h1 class="h3 mb-2 text-gray-800">Data pelanggan</h1>
            <p class="mb-4">Semua data pelanggan anda ada dihalaman ini.</p>

            <!-- DataTales Example -->
            <div class="card border-0 mb-4">
                <div class="card-header py-3 bg-main d-flex justify-content-between align-items-center">
                    <h6 class="m-0 font-weight-bold text-white">Data pelanggan</h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>Nama</th>
                                    <th>instansi</th>
                                    <th>telepon</th>
                                    <th>email</th>
                                    <th>tipe</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr v-for="pelanggan in pelanggan">
                                    <td>{{ pelanggan.nama }}</td>
                                    <td>{{ pelanggan.instansi }}</td>
                                    <td>{{ pelanggan.telepon }}</td>
                                    <td>{{ pelanggan.email }}</td>
                                    <td>{{ pelanggan.jenis_pelanggan }}</td>

                                </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>


    </AuthenticatedLayout>
</template>

<script>



export default {
    props: {
        user: Object,
        users: Object,
        pelanggan: Object,
    },

    methods: {

    }, mounted() {
        // Initialize DataTables
        $('#dataTable').DataTable({
            // DataTables configuration options
        });
    }
}
</script>
